from repo_cloner.lib.default_cloner_config import DefaultClonerConfig


def test_init():
	x = DefaultClonerConfig()
	assert isinstance(x, DefaultClonerConfig)


def test_types():
	x = DefaultClonerConfig()
	assert isinstance(x.cloner_project_name, str)
	assert isinstance(x.cloner_repo_url, str)
	assert isinstance(x.cloner_interval, int)
	assert isinstance(x.cloner_submodules, bool)
	assert isinstance(x.cloner_submodule_depth, int)
	assert isinstance(x.has_property("wut"), bool)


def test_values():
	x = DefaultClonerConfig()
	assert x.cloner_project_name == ""
	assert x.cloner_repo_url == ""
	assert x.cloner_interval == 5
	assert x.cloner_submodules
	assert x.cloner_submodule_depth == 50000


def test_has_property():
	x = DefaultClonerConfig()
	assert not x.has_property("nonexistent")
	assert x.has_property("cloner_project_name")
	assert x.has_property("cloner_repo_url")
	assert x.has_property("cloner_interval")
	assert x.has_property("cloner_submodules")
	assert x.has_property("cloner_submodule_depth")
	