class DefaultClonerConfig:
	def __init__(self):
		properties = list(filter(lambda prop: not str(prop).startswith("__"), dir(self)))
		self.__properties: list = properties

	@property
	def cloner_repo_url(self) -> str:
		return ""

	@property
	def cloner_project_name(self) -> str:
		return ""

	@property
	def cloner_interval(self) -> int:
		return 5

	@property
	def cloner_submodules(self) -> bool:
		return True

	@property
	def cloner_submodule_depth(self) -> int:
		return 50000

	def has_property(self, prop: str) -> bool:
		if prop == "has_property":
			return False
		return prop in self.__properties